ps = 0.5;
//+
Point(1) = {0, 0, 0, ps};
//+
Point(2) = {2, 0, 0, ps};
//+
Point(3) = {2, 2, 0, ps};
//+
Point(4) = {0, 2, 0, ps};
//+
//+
Point(5) = {0.5, 2, 0, ps};
//+
Point(6) = {1.5, 2, 0, ps};
//+
Point(7) = {.5, 10, 0, ps};
//+
Point(8) = {1.5, 10, 0, ps};
//+
Point(9) = {0, 10, 0, ps};
//+
Point(10) = {2, 10, 0, ps};
//+
Point(11) = {2, 12, 0, ps};
//+
Point(12) = {0, 12, 0, ps};
//+
Line(1) = {1, 4};
//+
Line(2) = {2, 3};
//+
Line(3) = {6, 8};
//+
Line(4) = {5, 7};
//+
Line(5) = {10, 11};
//+
Line(6) = {9, 12};
//+
Line(7) = {1, 2};
//+
Line(8) = {4, 5};
//+
Line(9) = {6, 3};
//+
Line(10) = {9, 7};
//+
Line(11) = {8, 10};
//+
Line(12) = {12, 11};
//+
Curve Loop(1) = {1, 8, 4, -10, 6, 12, -5, -11, -3, 9, -2, -7};
//+
Plane Surface(1) = {1};
//+
//+
Extrude {0, 0, .5} {
  Surface{1}; 
}

//+
Physical Surface("sides", 75) = {74, 37, 29, 41, 45, 1, 69, 61, 57, 53, 65, 33};
//+
Physical Surface("inlet", 76) = {73};
//+
Physical Surface("outlet", 77) = {49};
//+
Physical Volume("body", 78) = {1};
//+
SetFactory("OpenCASCADE");

Sphere(2) = {1, 6, 0.25, 30, -Pi/2, Pi/2, 2*Pi};
//+
Physical Surface("infinite", 79) = {75};
//+
Physical Volume("infinite", 80) = {2};
//+
BooleanFragments{ Volume{1}; Delete; }{ Volume{2}; Delete; }
//+
Coherence;
